#include <iostream>

#include "MyEvent.h"

#include "../MyChannel/MyChannel.h"

ClassImp(MyEvent)
//______________________________________________________________________________________________________________________
void MyEvent::setChans(size_t nChans)
{
	//create the amount of Channles requested
	for (size_t i=0;i<nChans;++i)
	{
		MyChannel * c = new (channels[nbrChannels++]) MyChannel(this);
		c->setChannelNbr(i);
	}
}

//______________________________________________________________________________________________________________________
void MyEvent::clear()
{
	//--go through the whole vector an clear the elements--//
	Int_t n = channels.GetEntriesFast();
	for (Int_t i = 0; i < n; i++)
	{
		MyChannel *obj = reinterpret_cast<MyChannel*>(channels.UncheckedAt(i));
		if (obj) obj->clear();
	}
}
