#ifndef __MyEventViewer_h__
#define __MyEventViewer_h__

#include <TString.h>

class TCanvas;
class TH1D;
class MyEvent;

class MyEventViewer
{
public:
	MyEventViewer(MyEvent* ev, const char * n)			{name=n; init(ev);}
	~MyEventViewer();

protected:
	MyEventViewer(const MyEventViewer& d)				{}
	MyEventViewer& operator=(const MyEventViewer&)		{return *this;}

public:
	void init(MyEvent*);
	void view(MyEvent*);

private:
	size_t nbrOfHitsCreated;
	TCanvas *c;
	TH1D **hists;
	TString name;
	int picidx;
};
#endif
