#include "MyChannel.h"

#include "../MyPuls/MyPuls.h"
#include "../MyEvent/MyEvent.h"

ClassImp(MyChannel)
//______________________________________________________________________________________________________________________
MyPuls* MyChannel::addPuls()
{
	//add a puls to the container
	MyPuls *p = new (pulses[nbrPulses++]) MyPuls(this);
	return p;
}

//______________________________________________________________________________________________________________________
void MyChannel::copyRawData(char *in, size_t length)
{
	//copy the array to the rawdata array//
	//resize the data array if necessary and add some additional memory//
	if (rawLengthBuffer < length*parentEvent->getNbrBytes())
	{
		delete rawdata;
		rawLengthBuffer = length*parentEvent->getNbrBytes() + 1024;
		rawdata = new char[rawLengthBuffer];
	}
	memcpy(rawdata,in,length*parentEvent->getNbrBytes());
	rawLength=length;
}

//______________________________________________________________________________________________________________________
void MyChannel::clear()
{
	//go through all Pulses and clear them//
	pulses.Clear("C"); // you need to implement MyPuls::Clear
	//set the currently used pulses to 0//
	nbrPulses = 0;
}