#ifndef __MyZeroSuppressor_h__
#define __MyZeroSuppressor_h__

class MyChannel;


//this class is placeholder for two other classes wich will be called 
//according to how many bits the instrument has
class MyZeroSuppressor
{
public:
	MyZeroSuppressor()			{}
	virtual ~MyZeroSuppressor()	{}

	virtual void suppressZeros(MyChannel*) const = 0 ;
};


class MyZeroSuppressor8Bit : public MyZeroSuppressor
{
public:
	MyZeroSuppressor8Bit()	{}
	~MyZeroSuppressor8Bit()	{}

	void suppressZeros(MyChannel*) const;
};


class MyZeroSuppressor16Bit :public MyZeroSuppressor
{
public:
	MyZeroSuppressor16Bit()		{}
	~MyZeroSuppressor16Bit()	{}

	void suppressZeros(MyChannel*) const;
};

class MyZeroSuppressor32Bit :public MyZeroSuppressor
{
public:
	MyZeroSuppressor32Bit()		{}
	~MyZeroSuppressor32Bit()	{}

	void suppressZeros(MyChannel*) const;
};
#endif